%global pkg_name        PDL-LinearAlgebra
%global pkg_version     0.06
%global rpm_pkg_version 0.06
%global rpm_pkg_release 1.n0i.1

Summary:       Linear algebra utils for PDL
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/PDL/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: blas-devel
BuildRequires: lapack-devel
# this sucks! could use altas-sse-devel, atlas-sse2-devel, or even atlas-3dnow-devel
BuildRequires: atlas-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(PDL)
BuildRequires: perl(Test)

%global perl_filter_prov 'perl\\((PDL|PDL::Complex)\\)'


%description
This module provides a PDL interface to some routines of BLAS
and LAPACK library. Moreover it provides some linear algebra
based routines (transcendental functions for matrices) and some
easy constructors for well known matrices.

%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_encoding README}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Artistic Changes README


%changelog
* Tue Oct 09 2007 Marius Feraru <altblue@n0i.net> - 0.06-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.05
